Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1356167 - missing dependancies for expected fonts
Summary: missing dependancies for expected fonts
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: texinfo
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-13 14:29 UTC by todd_lewis
Modified: 2017-08-08 15:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:34:12 UTC


Attachments (Terms of Use)
Sample .texinfo file to demonstrate the problem. (deleted)
2016-07-13 14:29 UTC, todd_lewis
no flags Details
include file with a few macro definitions (deleted)
2016-08-01 13:47 UTC, todd_lewis
no flags Details

Description todd_lewis 2016-07-13 14:29:09 UTC
Created attachment 1179307 [details]
Sample .texinfo file to demonstrate the problem.

Description of problem:
Running texi2dvi errors out with missing fonts. I believe installing the texinfo package should have pulled in these expected fonts.

Version-Release number of selected component (if applicable):
texinfo-tex-6.1-3.fc24.x86_64

How reproducible:
always

Steps to Reproduce:
1. texi2dvi --clean ne.texinfo
2.
3.

Actual results:
no output produced

Expected results:
working dvi file

Additional info:
I had to manually add the following font packages:
  texlive-times
  texlive-courier
  texlive-helvetic
Then it would build the expected .dvi file without error. The input file ne.texinfo is attached.

Comment 1 Vitezslav Crhonek 2016-08-01 11:50:00 UTC
Hello,

Sample .texinfo file includes another file "version.texinfo" which I'm missing...

However, without including that file, I was able to generate output .dvi document (like 100 pages) without problem.

Unless you explicitly use those fonts (are they used in that missing file?), it shouldn't be necessary to have them installed any additional fonts.

Comment 2 todd_lewis 2016-08-01 13:47:19 UTC
Created attachment 1186437 [details]
include file with a few macro definitions

Required/included by ne.texinfo.

Comment 3 todd_lewis 2016-08-01 13:54:01 UTC
(In reply to Vitezslav Crhonek from comment #1)
> Sample .texinfo file includes another file "version.texinfo" which I'm
> missing...

Sorry. Have attached that include file. It sets a few macro values, that's all.

> However, without including that file, I was able to generate output .dvi
> document (like 100 pages) without problem.

Do you have the texlive-times, -courier, and -helvetic font packages installed?

> Unless you explicitly use those fonts (are they used in that missing file?),
> it shouldn't be necessary to have them installed any additional fonts.

They are not used explicitly as far as I know. I didn't expect to need them either -- I've been building this file for nearly 20 years now, evidently without them -- which is why I was surprised it was suddenly throwing errors about missing fonts and that installing them made the build work again.

I'll try to make some time to reproduce the problem and see if I can narrow down the seminal conditions. Thanks for looking at this.

Comment 4 Vitezslav Crhonek 2016-08-02 07:03:59 UTC
(In reply to todd_lewis from comment #3)
> (In reply to Vitezslav Crhonek from comment #1)
> 
> Sorry. Have attached that include file. It sets a few macro values, that's
> all.

Thanks, I see. And the result is obviously the same, works fine.

> 
> Do you have the texlive-times, -courier, and -helvetic font packages
> installed?
>

No, I do not have installed them:
# rpm -qa texlive*
texlive-texlive.infra-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-metafont-svn37078.2.7182818-24.fc24.1.noarch
texlive-makeindex-svn37078.0-24.fc24.1.noarch
texlive-texlive-scripts-bin-svn29741.0-24.20150728_r37987.fc24.1.noarch
texlive-etex-pkg-svn38279.2.4-24.fc24.1.noarch
texlive-mflogo-svn35821.2.0-24.fc24.1.noarch
texlive-pdftex-svn38314.0-24.fc24.1.noarch
texlive-collection-basic-svn33040.0-24.20150728_r37987.fc24.1.noarch
texlive-base-2015-24.20150728_r37987.fc24.noarch
texlive-texlive.infra-svn37738.0-24.fc24.1.noarch
texlive-dvipdfmx-def-svn38150.4.05-24.fc24.1.noarch
texlive-plain-svn37747.3.141592653-24.fc24.1.noarch
texlive-xdvi-svn37078.22.87-24.fc24.1.noarch
texlive-ifluatex-svn26725.1.3-24.fc24.1.noarch
texlive-latex-fonts-svn28888.0-24.fc24.1.noarch
texlive-luatex-svn37242.0-24.fc24.1.noarch
texlive-kpathsea-svn37193.0-24.fc24.1.noarch
texlive-bibtex-svn37078.0.99d-24.fc24.1.noarch
texlive-mfware-svn37078.0-24.fc24.1.noarch
texlive-xdvi-bin-svn37100.0-24.20150728_r37987.fc24.1.x86_64
texlive-hyph-utf8-svn37337.696-24.fc24.1.noarch
texlive-texlive-msg-translations-svn37957.0-24.fc24.1.noarch
texlive-luatex-bin-svn37340.0-24.20150728_r37987.fc24.1.x86_64
texlive-hyphen-base-svn34525.0-24.fc24.1.noarch
texlive-metafont-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-bibtex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-gsftopk-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-mfware-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-tex-svn37078.3.14159265-24.fc24.1.noarch
texlive-texlive-scripts-svn38366.0-24.fc24.1.noarch
texlive-cm-svn32865.0-24.fc24.1.noarch
texlive-etex-svn37057.0-24.fc24.1.noarch
texlive-knuth-lib-svn35820.0-24.fc24.1.noarch
texlive-texlive-en-svn37206.0-24.fc24.1.noarch
texlive-dvips-svn38208.0-24.fc24.1.noarch
texlive-dvipdfmx-bin-svn37207.0-24.20150728_r37987.fc24.1.x86_64
texlive-lib-2015-24.20150728_r37987.fc24.x86_64
texlive-kpathsea-bin-svn37207.0-24.20150728_r37987.fc24.1.x86_64
texlive-glyphlist-svn28576.0-24.fc24.1.noarch
texlive-tex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-amsfonts-svn29208.3.04-24.fc24.1.noarch
texlive-ifxetex-svn19685.0.5-24.fc24.1.noarch
texlive-dvips-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-tetex-svn38208.3.0-24.fc24.1.noarch
texlive-makeindex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-texconfig-svn37078.0-24.fc24.1.noarch
texlive-enctex-svn34957.0-24.fc24.1.noarch
texlive-lua-alt-getopt-svn29349.0.7.0-24.fc24.1.noarch
texlive-pdftex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-texlive-common-doc-svn37183.0-24.fc24.1.noarch
texlive-tetex-bin-svn36770.0-24.20150728_r37987.fc24.1.noarch
texlive-gsftopk-svn37078.1.19.2-24.fc24.1.noarch
texlive-texconfig-bin-svn29741.0-24.20150728_r37987.fc24.1.noarch
texlive-epsf-svn21461.2.7.4-24.fc24.1.noarch
texlive-knuth-local-svn33147.0-24.fc24.1.noarch
texlive-pdftex-def-svn22653.0.06d-24.fc24.1.noarch
texlive-dvipdfmx-svn37159.0-24.fc24.1.noarch

(and all of those were installed along with texinfo-tex as requires) 

> 
> They are not used explicitly as far as I know. I didn't expect to need them
> either -- I've been building this file for nearly 20 years now, evidently
> without them -- which is why I was surprised it was suddenly throwing errors
> about missing fonts and that installing them made the build work again.
> 

I believe that only texlive-latex-fonts is needed and that should be required by texlive-dvips, I remember Jindra fixing it in this bz:
https://bugzilla.redhat.com/show_bug.cgi?id=879661

Force removing texlive-latex-fonts leads to errors and no .dvi output, but installing texlive-times, -courier and -helvetic then doesn't solve it. So the issue is likely somewhere else.

> I'll try to make some time to reproduce the problem and see if I can narrow
> down the seminal conditions. Thanks for looking at this.

Sure, let me know if I can help somehow.

Comment 5 Vitezslav Crhonek 2016-08-31 09:13:56 UTC
Any update?

Comment 6 todd_lewis 2016-08-31 13:07:45 UTC
I did the following:
(1) Install Fedora-MATE_Compiz-Live-x86_64-24-1.2.iso in an 8GB virtualbox.
(2) executed: sudo dnf -y update
(3) executed: sudo dnf -y install texlive texinfo-tex
(4) Downloaded sample files from this ticket.
(5) executed: texi2dvi --clean ne.texinfo
...and it worked like a charm.

What's strange is, I run 8 Fedora-24 machines (9 with the virtualbox above), most of which I build this file on regularly. All are patched daily. I've encountered this problem on two of them, both of which had previously built it successfully. Here's the output from the one machine on which the build is currently not working. I don't do any other tex work, so no global config files etc have been mucked with by users. The md5sums of the files on the working machines and the broken instance are identical.

[utoddl@riverkym doc]$ rpm -qa | grep texlive | sort
texlive-amsfonts-svn29208.3.04-24.fc24.1.noarch
texlive-base-2015-24.20150728_r37987.fc24.noarch
texlive-bibtex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-bibtex-svn37078.0.99d-24.fc24.1.noarch
texlive-cm-svn32865.0-24.fc24.1.noarch
texlive-collection-basic-svn33040.0-24.20150728_r37987.fc24.1.noarch
texlive-dvipdfmx-bin-svn37207.0-24.20150728_r37987.fc24.1.x86_64
texlive-dvipdfmx-def-svn38150.4.05-24.fc24.1.noarch
texlive-dvipdfmx-svn37159.0-24.fc24.1.noarch
texlive-dvips-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-dvips-svn38208.0-24.fc24.1.noarch
texlive-enctex-svn34957.0-24.fc24.1.noarch
texlive-epsf-svn21461.2.7.4-24.fc24.1.noarch
texlive-etex-pkg-svn38279.2.4-24.fc24.1.noarch
texlive-etex-svn37057.0-24.fc24.1.noarch
texlive-glyphlist-svn28576.0-24.fc24.1.noarch
texlive-gsftopk-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-gsftopk-svn37078.1.19.2-24.fc24.1.noarch
texlive-hyphen-base-svn34525.0-24.fc24.1.noarch
texlive-hyph-utf8-svn37337.696-24.fc24.1.noarch
texlive-ifluatex-svn26725.1.3-24.fc24.1.noarch
texlive-ifxetex-svn19685.0.5-24.fc24.1.noarch
texlive-knuth-lib-svn35820.0-24.fc24.1.noarch
texlive-knuth-local-svn33147.0-24.fc24.1.noarch
texlive-kpathsea-bin-svn37207.0-24.20150728_r37987.fc24.1.x86_64
texlive-kpathsea-svn37193.0-24.fc24.1.noarch
texlive-latex-fonts-svn28888.0-24.fc24.1.noarch
texlive-lib-2015-24.20150728_r37987.fc24.x86_64
texlive-lua-alt-getopt-svn29349.0.7.0-24.fc24.1.noarch
texlive-luatex-bin-svn37340.0-24.20150728_r37987.fc24.1.x86_64
texlive-luatex-svn37242.0-24.fc24.1.noarch
texlive-makeindex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-makeindex-svn37078.0-24.fc24.1.noarch
texlive-metafont-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-metafont-svn37078.2.7182818-24.fc24.1.noarch
texlive-mflogo-svn35821.2.0-24.fc24.1.noarch
texlive-mfware-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-mfware-svn37078.0-24.fc24.1.noarch
texlive-pdftex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-pdftex-def-svn22653.0.06d-24.fc24.1.noarch
texlive-pdftex-svn38314.0-24.fc24.1.noarch
texlive-plain-svn37747.3.141592653-24.fc24.1.noarch
texlive-tetex-bin-svn36770.0-24.20150728_r37987.fc24.1.noarch
texlive-tetex-svn38208.3.0-24.fc24.1.noarch
texlive-tex-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-texconfig-bin-svn29741.0-24.20150728_r37987.fc24.1.noarch
texlive-texconfig-svn37078.0-24.fc24.1.noarch
texlive-texlive-common-doc-svn37183.0-24.fc24.1.noarch
texlive-texlive-en-svn37206.0-24.fc24.1.noarch
texlive-texlive.infra-bin-svn36790.0-24.20150728_r37987.fc24.1.x86_64
texlive-texlive.infra-svn37738.0-24.fc24.1.noarch
texlive-texlive-msg-translations-svn37957.0-24.fc24.1.noarch
texlive-texlive-scripts-bin-svn29741.0-24.20150728_r37987.fc24.1.noarch
texlive-texlive-scripts-svn38366.0-24.fc24.1.noarch
texlive-tex-svn37078.3.14159265-24.fc24.1.noarch
texlive-xdvi-bin-svn37100.0-24.20150728_r37987.fc24.1.x86_64
texlive-xdvi-svn37078.22.87-24.fc24.1.noarch
[utoddl@riverkym doc]$ texi2dvi --clean ne.texinfo
/usr/bin/texi2dvi: texinfo.tex appears to be broken.
This may be due to the environment variable TEX set to something
other than (plain) tex, a corrupt texinfo.tex file, or 
to tex itself simply not working.
This is pdfTeX, Version 3.14159265-2.6-1.40.16 (TeX Live 2016/dev) (preloaded format=etex)
 restricted \write18 enabled.
entering extended mode
(./txiversion.tex (/home/utoddl/src/ne/doc/texinfo.tex
Loading texinfo [version 2007-01-02.19]: pdf, fonts,
! Font \textrm=ptmr7t at 10.94398pt not loadable: Metric (TFM) file not found.
\definetextfontsizexi ...hape {10}{\mainmagstep } 
                                                  \setfont \texttt \ttshape ...
l.1971 \definetextfontsizexi
                            
? 
! Emergency stop.
\definetextfontsizexi ...hape {10}{\mainmagstep } 
                                                  \setfont \texttt \ttshape ...
l.1971 \definetextfontsizexi
                            
No pages of output.
Transcript written on txiversion.log.

kpathsea: Running mktextfm ptmr7t
/usr/share/texlive/texmf-dist/web2c/mktexnam: Could not map source abbreviation  for ptmr7t.
/usr/share/texlive/texmf-dist/web2c/mktexnam: Need to update ?
mktextfm: Running mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ptmr7t
This is METAFONT, Version 2.7182818 (TeX Live 2016/dev) (preloaded base=mf)

kpathsea: Running mktexmf ptmr7t

! I can't find file `ptmr7t'.
<*> ...:=ljfour; mag:=1; nonstopmode; input ptmr7t
                                                  
Please type another input file name
! Emergency stop.
<*> ...:=ljfour; mag:=1; nonstopmode; input ptmr7t
                                                  
Transcript written on mfput.log.
grep: ptmr7t.log: No such file or directory
mktextfm: `mf-nowin -progname=mf \mode:=ljfour; mag:=1; nonstopmode; input ptmr7t' failed to make ptmr7t.tfm.
kpathsea: Appending font creation commands to missfont.log.
/usr/bin/texi2dvi: quitting.

Comment 7 Fedora End Of Life 2017-07-25 21:47:02 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2017-08-08 15:34:12 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.